#include <bits/stdc++.h>
using namespace std;
int a[100001];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);
    cout.tie(NULL);
    int N;
    cin>>N;
    for(int i=0;i<N-1;i++){
        int U,V;
        cin>>U>>V;
        a[U]+= a[V] + 1;
       // cout<<U<<" "<<a[U]<<endl;
    }
    int q;
    cin>>q;
    for(int i=0;i<q;i++){
        int M;
        cin>>M;
        cout<<a[M]<<endl;
    }

    return 0;
}
